> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign Contact By Id

> Gets an campaign contact by its id



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/campaign_contact/{campaign_contact_id}
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/campaign_contact/{campaign_contact_id}:
    get:
      tags:
        - Campaign
      summary: Get Campaign Contact By Id
      description: Gets an campaign contact by its id
      operationId: >-
        get_campaign_contact_by_id_api_v1_campaign_contact__campaign_contact_id__get
      parameters:
        - name: campaign_contact_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Campaign Contact Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponseBase_ICampaignContactRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponseBase_ICampaignContactRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data retrieved successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/ICampaignContactRead'
            - type: 'null'
      type: object
      title: IGetResponseBase[ICampaignContactRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ICampaignContactRead:
      properties:
        campaign_id:
          type: string
          format: uuid
          title: Campaign Id
        contact_id:
          type: string
          format: uuid
          title: Contact Id
        status:
          $ref: '#/components/schemas/ContactStatus'
          default: not_attempted
        execution_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Execution Time
        id:
          type: string
          format: uuid
          title: Id
      type: object
      required:
        - campaign_id
        - contact_id
        - id
      title: ICampaignContactRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ContactStatus:
      type: string
      enum:
        - not_attempted
        - in_progress
        - to_be_retried
        - failed
        - completed
        - no-answer
        - busy
      title: ContactStatus
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````